Subject: Unusual df output

From: yann <[email-masked]>
Date: Thu, 06 Jan 2022 09:43:20 +0000

Dear coreutils devs,

I'm the dev of the 'boot-repair' and 'boot-info' utilities.
A Linux Mint 20.2 user reported the following system information:https://paste.ubuntu.com/p/kcXPDC79RF/ (pastebin will expire so I attach a copy)

Interesting extract for you, is that line 20 shows unusual df output (negative value for 'Used' , and a dash for Use% ):

$ df /dev/

nvme0n1p3

| grep /

Filesystem         1K-blocks     Used     Available Use% Mounted on
/dev/nvme0n1p3

134210720

-

39573944

173784664

-

/mnt/boot-sav/nvme0n1p3

In addition, you may be interested by line 332 which is the output of : findmnt -l -o SOURCE,AVAIL,USE%,TARGET
nvme0n1p3 165.8G 54978452015456% /mnt/boot-sav/nvme0n1p3

Rest of the log contains other system info like parted/mount/fdisk.. output, etc, feel free to check.

I can privately send you the user email if needed but he's having boot issues so probably not the right time to bother him with this.

Best regards, and thx for all your work
Yann